Subject: IPP> PRO - Re: New HTTP Methods vs POST -Reply

From: Carl-Uno Manros <[email-masked]>
Date: Mon, 10 Feb 1997 10:03:22 PST

At 09:05 AM 2/10/97 PST, Scott A. Isaacson wrote:
>Don,
>
>>>> Don Wright <[email-masked]> 02/07/97 10:40am >>>
>> So.... what if we were to take the Microsoft approach and map
>> that to HTTP POST, standardize what they are doing and
>> call it SIPP (Simple Internet Printing Protocol).  Meanwhile, 
>> we can continue working on the DPA-light oriented approach, 
>> create new HTTP methods, and call that IPP.  
>
>I think that we should keep with the name IPP and keep it as simple as
>possible.  The print protocol (semantics and operations) should basically
>be the same across all mappings on any transport(s).  In other words
>there could be a mapping of IPP on:
>
>1. HTTP 1.0 POST
>2. HTTP 1.1 POST (taking advantage of new 1.1 underlying features)
>3. HTTP 1.x extended methods
>4. Raw TCP
>5. Internet RPCs
>6. IIOP
>7. etc, etc.
>
>In other words, lets not create two things, but one thing.  Call it IPP.
Then
>as Randy and you have pointed out in later (than this) emails, propose
>multiple "mapping documents".   
>
>I am still in favor of #1 above (HTTP 1.0 POST) or protoptyping and
>reasonable first step deployment.  Maybe we will learn more as we go
>through the first step which will make additional choices more clear.
>

I agree fully with Scott here. I definately do NOT want us to start 
discussing a light-lightweight protocol, which would only lead to 
confusion and distract us from completing IPP in time.

Carl-Uno
Carl-Uno Manros
Principal Engineer - Advanced Printing Standards - Xerox Corporation
701 S. Aviation Blvd., El Segundo, CA, M/S: ESAE-231
Phone +1-310-333 8273, Fax +1-310-333 5514
Email: [email-masked]